Package weka.gui.visualize.plugins

# Interface GraphVisualizePlugin

public interface GraphVisualizePlugin
Interface implemented by classes loaded dynamically to visualize graphs in the explorer.

Version:
  $Revision: 8034 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDesignVersion()`
  Get the specific version of Weka the class is designed for.
  `String`
  `getMaxVersion()`
  Get the maximum version of Weka, exclusive, the class is designed to work with.
  `String`
  `getMinVersion()`
  Get the minimum version of Weka, inclusive, the class is designed to work with.
  `JMenuItem`
  `getVisualizeMenuItem(String bif, String name)`
  Get a JMenu or JMenuItem which contain action listeners that perform the visualization of the graph in XML BIF format.

- ## Method Details

  - ### getVisualizeMenuItem

    JMenuItem getVisualizeMenuItem(String bif, String name)
    Get a JMenu or JMenuItem which contain action listeners that perform the visualization of the graph in XML BIF format. Exceptions thrown because of changes in Weka since compilation need to be caught by the implementer.
    Parameters:
      `bif` - the graph in XML BIF format
      `name` - the name of the item (in the Explorer's history list)
    Returns:
      menuitem for opening visualization(s), or null to indicate no visualization is applicable for the input
    See Also:
      - `NoClassDefFoundError`
      - `IncompatibleClassChangeError`

  - ### getMinVersion

    String getMinVersion()
    Get the minimum version of Weka, inclusive, the class is designed to work with. eg: `3.5.0`
    Returns:
      the minimum version

  - ### getMaxVersion

    String getMaxVersion()
    Get the maximum version of Weka, exclusive, the class is designed to work with. eg: `3.6.0`
    Returns:
      the maximum version

  - ### getDesignVersion

    String getDesignVersion()
    Get the specific version of Weka the class is designed for. eg: `3.5.1`
    Returns:
      the version the plugin was designed for